Subject: Re: [Bitcoin-development] Presenting a BIP for Shamir's Secret Sharing of Bitcoin private keys

From: Nikita Schmidt <[email-masked]>
Date: Mon, 5 May 2014 22:36:54 +0300

A fork of Matt's proposal converted to GF(2^8) is here:
https://github.com/cetuscetus/btctool/blob/bip/bip-xxxx.mediawiki

Other changes include:
- only six application/version bytes are allocated, which is the
minimum to ensure that the encoded form starts with S in all cases;
- encoded prefixes are SK/SL for a shared private key
(mainnet/testnet) and SS/ST for a shared BIP32 seed;
- the only hash function in use is SHA-256, which is the all-purpose
hash function in the Bitcoin protocol;
- double SHA is used for similarity with Bitcoin, although Jan and I
believe single SHA is enough in this application;
- bias-less encoding of M and x, because there can't be more than 255
shares over GF(2^8).

On 23 April 2014 09:16, Gregory Maxwell <[email-masked]> wrote:
> On Tue, Apr 22, 2014 at 10:33 PM, Tamas Blummer <[email-masked]> wrote:
>> So you agree, that SSS should not contain specific flag for testnet?
>>
>> Or for that matter not even BIP32 needs them since it is not an address to
>> send to.
>
> I think the convention we have so far is that addresses and address
> relate thing we share normally contain an opaque 'version' identifier
> which we use to identify the purpose for the data (E.g. network
> meaning, etc.) and I think its a generally reasonable custom.
>
> ------------------------------------------------------------------------------
> Start Your Social Network Today - Download eXo Platform
> Build your Enterprise Intranet with eXo Platform Software
> Java Based Open Source Intranet - Social, Extensible, Cloud Ready
> Get Started Now And Turn Your Intranet Into A Collaboration Platform
> http://p.sf.net/sfu/ExoPlatform
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development